Manifest-Version: 1.0
Bnd-LastModified: 1711335412521
Bundle-ManifestVersion: 2
Bundle-Name: Liferay Dynamic Data Mapping Form Web
Bundle-SymbolicName: com.liferay.dynamic.data.mapping.form.web
Bundle-Vendor: Liferay, Inc.
Bundle-Version: 3.0.77.hotfix-8597-7310
Created-By: 1.8.0_381 (Oracle Corporation)
Import-Package: aQute.bnd.annotation.metatype;version="1.45",com.lifer
 ay.application.list;version="2.1",com.liferay.asset.kernel.model;vers
 ion="3.5",com.liferay.captcha.util;version="1.1",com.liferay.document
 .library.kernel.exception;version="3.1",com.liferay.document.library.
 kernel.service;version="3.6",com.liferay.dynamic.data.mapping.constan
 ts;version="2.7",com.liferay.dynamic.data.mapping.data.provider.displ
 ay;version="1.0",com.liferay.dynamic.data.mapping.exception;version="
 2.3",com.liferay.dynamic.data.mapping.form.builder.context;version="1
 .0",com.liferay.dynamic.data.mapping.form.builder.settings;version="1
 .0",com.liferay.dynamic.data.mapping.form.evaluator;version="3.3",com
 .liferay.dynamic.data.mapping.form.field.type;version="1.8",com.lifer
 ay.dynamic.data.mapping.form.renderer;version="1.5",com.liferay.dynam
 ic.data.mapping.form.values.factory;version="1.0",com.liferay.dynamic
 .data.mapping.form.values.query;version="1.0",com.liferay.dynamic.dat
 a.mapping.io;version="2.2",com.liferay.dynamic.data.mapping.io.export
 er;version="2.0",com.liferay.dynamic.data.mapping.model;version="4.6"
 ,com.liferay.dynamic.data.mapping.service;version="3.9",com.liferay.d
 ynamic.data.mapping.service.http;version="1.3",com.liferay.dynamic.da
 ta.mapping.storage;version="1.4",com.liferay.dynamic.data.mapping.uti
 l;version="2.9",com.liferay.dynamic.data.mapping.util.comparator;vers
 ion="2.0",com.liferay.dynamic.data.mapping.validator;version="1.4",co
 m.liferay.expando.kernel.model;version="3.3",com.liferay.exportimport
 .kernel.lar;version="3.4",com.liferay.exportimport.kernel.staging;ver
 sion="2.2",com.liferay.exportimport.portlet.preferences.processor;ver
 sion="1.1",com.liferay.exportimport.staged.model.repository;version="
 1.1",com.liferay.frontend.js.loader.modules.extender.npm;version="3.5
 ",com.liferay.frontend.taglib.clay.servlet.taglib.util;version="3.6",
 com.liferay.frontend.taglib.servlet.taglib.util;version="1.0",com.lif
 eray.layout.type.controller;version="1.1",com.liferay.petra.function;
 version="1.4",com.liferay.petra.io.unsync;version="1.0",com.liferay.p
 etra.string;version="1.4",com.liferay.portal.configuration.metatype.a
 nnotations;version="1.3",com.liferay.portal.configuration.metatype.bn
 d.util;version="2.0",com.liferay.portal.configuration.persistence.lis
 tener;version="1.1",com.liferay.portal.instance.lifecycle;version="2.
 0",com.liferay.portal.kernel.annotation;version="7.0",com.liferay.por
 tal.kernel.bean;version="8.0",com.liferay.portal.kernel.captcha;versi
 on="7.0",com.liferay.portal.kernel.dao.orm;version="9.7",com.liferay.
 portal.kernel.dao.search;version="8.0",com.liferay.portal.kernel.disp
 lay.context.util;version="1.1",com.liferay.portal.kernel.editor.confi
 guration;version="1.1",com.liferay.portal.kernel.exception;version="9
 .5",com.liferay.portal.kernel.io.unsync;version="7.0",com.liferay.por
 tal.kernel.json;version="8.10",com.liferay.portal.kernel.language;ver
 sion="8.3",com.liferay.portal.kernel.layoutconfiguration.util;version
 ="1.2",com.liferay.portal.kernel.layoutconfiguration.util.xml;version
 ="1.0",com.liferay.portal.kernel.log;version="7.0",com.liferay.portal
 .kernel.model;version="5.6",com.liferay.portal.kernel.model.impl;vers
 ion="3.4",com.liferay.portal.kernel.module.framework;version="1.4",co
 m.liferay.portal.kernel.plugin;version="6.4",com.liferay.portal.kerne
 l.portlet;version="10.4",com.liferay.portal.kernel.portlet.bridges.mv
 c;version="3.0",com.liferay.portal.kernel.portlet.configuration.icon;
 version="1.1",com.liferay.portal.kernel.portletfilerepository;version
 ="2.0",com.liferay.portal.kernel.repository.model;version="8.0",com.l
 iferay.portal.kernel.resource.bundle;version="1.0",com.liferay.portal
 .kernel.search;version="9.6",com.liferay.portal.kernel.security.auth;
 version="2.6",com.liferay.portal.kernel.security.permission;version="
 3.4",com.liferay.portal.kernel.security.permission.resource;version="
 1.1",com.liferay.portal.kernel.service;version="4.16",com.liferay.por
 tal.kernel.service.permission;version="2.0",com.liferay.portal.kernel
 .servlet;version="8.5",com.liferay.portal.kernel.servlet.taglib;versi
 on="7.0",com.liferay.portal.kernel.template;version="9.1",com.liferay
 .portal.kernel.theme;version="3.1",com.liferay.portal.kernel.transact
 ion;version="8.1",com.liferay.portal.kernel.upgrade;version="8.5",com
 .liferay.portal.kernel.upload;version="8.1",com.liferay.portal.kernel
 .util;version="10.28",com.liferay.portal.kernel.util.comparator;versi
 on="3.1",com.liferay.portal.kernel.workflow;version="9.5",com.liferay
 .portal.kernel.xml;version="7.0",com.liferay.portal.upgrade.registry;
 version="3.0",com.liferay.portal.util;version="4.18",com.liferay.tagl
 ib.search;version="2.0",com.liferay.taglib.servlet;version="2.0",com.
 liferay.upload;version="1.1",javax.portlet,javax.portlet.annotations,
 javax.servlet,javax.servlet.http,javax.servlet.jsp;version="2.3"
Javac-Debug: on
Javac-Deprecation: off
Javac-Encoding: UTF-8
Liferay-Releng-App-Title: Liferay Dynamic Data Mapping
Liferay-Releng-Bundle: true
Liferay-Releng-Category: Productivity
Liferay-Releng-Deprecated: false
Liferay-Releng-Fix-Delivery-Method: core
Liferay-Releng-Labs: false
Liferay-Releng-Marketplace: true
Liferay-Releng-Portal-Required: true
Liferay-Releng-Public: false
Liferay-Releng-Restart-Required: true
Liferay-Releng-Suite: forms-and-workflow
Liferay-Releng-Suite-Description: Apps and Features: Calendar, Dynamic
  Data Lists, Dynamic Data Mapping, Forms, Polls, Workflow<br /><br />
 An increase in productivity means you're saving time and effort; youâ
 €™re becoming more efficient. The Forms and Workflow apps help you do
  that by giving you built-in calendars and the ability to create your
  own forms and list applications. These are powerful, flexible apps t
 hat can be quickly leveraged for basic tasks, or carefully configured
  and mastered to perfect business processes.<br /><br />Need a quick 
 survey or complex Sign Up form? Use the Liferay Forms app and make an
 y forms you want. If there's a forms feature you need, this app proba
 bly has it.<br /><br />Maybe you need an entire list application, and
  you need it today. Dynamic Data Lists lets you do it without any dev
 eloper expertise.<br /><br />Do you need personal calendars for your 
 users, and/or site calendars? Do you need the calendar to be highly c
 onfigurable? Use the Calendar app.<br /><br />Would you like to initi
 ate a review process when new content, or any new asset, is created? 
 The Kaleo Workflow Engine lets you send any asset through review befo
 re it gets published.<br /><br />Want to quickly get the opinion of y
 our users on something? The Polls app is extremely easy to use.<br />
 <br />This suite may contain modules that depend on Foundation suite 
 modules. This suite is available in the Liferay bundle.
Liferay-Releng-Suite-Title: Liferay Forms and Workflow
Liferay-Releng-Support-Url: http://www.liferay.com
Liferay-Releng-Supported: true
Private-Package: com.liferay.dynamic.data.mapping.form.web.internal,co
 m.liferay.dynamic.data.mapping.form.web.internal.application.list,com
 .liferay.dynamic.data.mapping.form.web.internal.asset.model,com.lifer
 ay.dynamic.data.mapping.form.web.internal.configuration,com.liferay.d
 ynamic.data.mapping.form.web.internal.configuration.activator,com.lif
 eray.dynamic.data.mapping.form.web.internal.configuration.persistence
 .listener,com.liferay.dynamic.data.mapping.form.web.internal.constant
 s,com.liferay.dynamic.data.mapping.form.web.internal.display,com.life
 ray.dynamic.data.mapping.form.web.internal.display.context,com.lifera
 y.dynamic.data.mapping.form.web.internal.display.context.util,com.lif
 eray.dynamic.data.mapping.form.web.internal.editor.configuration,com.
 liferay.dynamic.data.mapping.form.web.internal.exportimport.data.hand
 ler,com.liferay.dynamic.data.mapping.form.web.internal.exportimport.p
 ortlet.preferences.processor,com.liferay.dynamic.data.mapping.form.we
 b.internal.instance.lifecycle,com.liferay.dynamic.data.mapping.form.w
 eb.internal.layout.type.constants,com.liferay.dynamic.data.mapping.fo
 rm.web.internal.layout.type.controller,com.liferay.dynamic.data.mappi
 ng.form.web.internal.model,com.liferay.dynamic.data.mapping.form.web.
 internal.portlet,com.liferay.dynamic.data.mapping.form.web.internal.p
 ortlet.action,com.liferay.dynamic.data.mapping.form.web.internal.port
 let.action.util,com.liferay.dynamic.data.mapping.form.web.internal.po
 rtlet.configuration.icon,com.liferay.dynamic.data.mapping.form.web.in
 ternal.portlet.routes,com.liferay.dynamic.data.mapping.form.web.inter
 nal.search,com.liferay.dynamic.data.mapping.form.web.internal.securit
 y.permission.resource,com.liferay.dynamic.data.mapping.form.web.inter
 nal.tab.item,com.liferay.dynamic.data.mapping.form.web.internal.upgra
 de,com.liferay.dynamic.data.mapping.form.web.internal.upgrade.v1_0_0,
 com.liferay.dynamic.data.mapping.form.web.internal.upload,resource-ac
 tions
Provide-Capability: osgi.webresource;osgi.webresource=dynamic-data-map
 ping-form-web;version:Version="3.0.77.hotfix-8597-7310",liferay.resou
 rce.bundle;resource.bundle.aggregate="(bundle.symbolic.name=com.lifer
 ay.dynamic.data.mapping.lang)";resource.bundle.base.name="content.Lan
 guage",osgi.service;objectClass:List<String>="com.liferay.application
 .list.PanelApp";uses:="com.liferay.application.list",osgi.service;obj
 ectClass:List<String>="com.liferay.asset.kernel.model.AssetRendererFa
 ctory";uses:="com.liferay.asset.kernel.model",osgi.service;objectClas
 s:List<String>="com.liferay.dynamic.data.mapping.data.provider.displa
 y.DDMDataProviderDisplay";uses:="com.liferay.dynamic.data.mapping.dat
 a.provider.display",osgi.service;objectClass:List<String>="com.lifera
 y.dynamic.data.mapping.form.web.internal.configuration.activator.DDMF
 ormWebConfigurationActivator";uses:="com.liferay.dynamic.data.mapping
 .form.web.internal.configuration.activator",osgi.service;objectClass:
 List<String>="com.liferay.dynamic.data.mapping.form.web.internal.inst
 ance.lifecycle.AddDefaultSharedFormLayoutPortalInstanceLifecycleListe
 ner,com.liferay.portal.instance.lifecycle.PortalInstanceLifecycleList
 ener";uses:="com.liferay.dynamic.data.mapping.form.web.internal.insta
 nce.lifecycle,com.liferay.portal.instance.lifecycle",osgi.service;obj
 ectClass:List<String>="com.liferay.dynamic.data.mapping.form.web.inte
 rnal.portlet.action.AddFormInstanceRecordMVCCommandHelper";uses:="com
 .liferay.dynamic.data.mapping.form.web.internal.portlet.action",osgi.
 service;objectClass:List<String>="com.liferay.dynamic.data.mapping.fo
 rm.web.internal.portlet.action.SaveFormInstanceMVCCommandHelper";uses
 :="com.liferay.dynamic.data.mapping.form.web.internal.portlet.action"
 ,osgi.service;objectClass:List<String>="com.liferay.dynamic.data.mapp
 ing.form.web.internal.portlet.action.util.DDMFormInstanceFieldSetting
 sValidator";uses:="com.liferay.dynamic.data.mapping.form.web.internal
 .portlet.action.util",osgi.service;objectClass:List<String>="com.life
 ray.dynamic.data.mapping.form.web.internal.tab.item.DDMFormAdminDataP
 roviderTabItem,com.liferay.dynamic.data.mapping.util.DDMDisplayTabIte
 m";uses:="com.liferay.dynamic.data.mapping.form.web.internal.tab.item
 ,com.liferay.dynamic.data.mapping.util",osgi.service;objectClass:List
 <String>="com.liferay.dynamic.data.mapping.form.web.internal.tab.item
 .DDMFormAdminFieldSetTabItem,com.liferay.dynamic.data.mapping.util.DD
 MDisplayTabItem";uses:="com.liferay.dynamic.data.mapping.form.web.int
 ernal.tab.item,com.liferay.dynamic.data.mapping.util",osgi.service;ob
 jectClass:List<String>="com.liferay.dynamic.data.mapping.form.web.int
 ernal.tab.item.DDMFormAdminTabItem,com.liferay.dynamic.data.mapping.u
 til.DDMDisplayTabItem";uses:="com.liferay.dynamic.data.mapping.form.w
 eb.internal.tab.item,com.liferay.dynamic.data.mapping.util",osgi.serv
 ice;objectClass:List<String>="com.liferay.dynamic.data.mapping.form.w
 eb.internal.upgrade.DDMFormWebUpgrade,com.liferay.portal.upgrade.regi
 stry.UpgradeStepRegistrator";uses:="com.liferay.dynamic.data.mapping.
 form.web.internal.upgrade,com.liferay.portal.upgrade.registry",osgi.s
 ervice;objectClass:List<String>="com.liferay.dynamic.data.mapping.for
 m.web.internal.upload.DDMFormUploadFileEntryHandler";uses:="com.lifer
 ay.dynamic.data.mapping.form.web.internal.upload",osgi.service;object
 Class:List<String>="com.liferay.dynamic.data.mapping.form.web.interna
 l.upload.DDMFormUploadResponseHandler";uses:="com.liferay.dynamic.dat
 a.mapping.form.web.internal.upload",osgi.service;objectClass:List<Str
 ing>="com.liferay.dynamic.data.mapping.form.web.internal.upload.DDMFo
 rmUploadValidator";uses:="com.liferay.dynamic.data.mapping.form.web.i
 nternal.upload",osgi.service;objectClass:List<String>="com.liferay.ex
 portimport.kernel.lar.PortletDataHandler";uses:="com.liferay.exportim
 port.kernel.lar",osgi.service;objectClass:List<String>="com.liferay.e
 xportimport.portlet.preferences.processor.ExportImportPortletPreferen
 cesProcessor";uses:="com.liferay.exportimport.portlet.preferences.pro
 cessor",osgi.service;objectClass:List<String>="com.liferay.portal.con
 figuration.persistence.listener.ConfigurationModelListener";uses:="co
 m.liferay.portal.configuration.persistence.listener",osgi.service;obj
 ectClass:List<String>="com.liferay.portal.kernel.editor.configuration
 .EditorConfigContributor";uses:="com.liferay.portal.kernel.editor.con
 figuration",osgi.service;objectClass:List<String>="com.liferay.portal
 .kernel.editor.configuration.EditorOptionsContributor";uses:="com.lif
 eray.portal.kernel.editor.configuration",osgi.service;objectClass:Lis
 t<String>="com.liferay.portal.kernel.model.LayoutTypeAccessPolicy";us
 es:="com.liferay.portal.kernel.model",osgi.service;objectClass:List<S
 tring>="com.liferay.portal.kernel.model.LayoutTypeController";uses:="
 com.liferay.portal.kernel.model",osgi.service;objectClass:List<String
 >="com.liferay.portal.kernel.portlet.BrowsePortletProvider";uses:="co
 m.liferay.portal.kernel.portlet",osgi.service;objectClass:List<String
 >="com.liferay.portal.kernel.portlet.ConfigurationAction";uses:="com.
 liferay.portal.kernel.portlet",osgi.service;objectClass:List<String>=
 "com.liferay.portal.kernel.portlet.FriendlyURLMapper";uses:="com.life
 ray.portal.kernel.portlet",osgi.service;objectClass:List<String>="com
 .liferay.portal.kernel.portlet.bridges.mvc.MVCActionCommand";uses:="c
 om.liferay.portal.kernel.portlet.bridges.mvc",osgi.service;objectClas
 s:List<String>="com.liferay.portal.kernel.portlet.bridges.mvc.MVCRend
 erCommand";uses:="com.liferay.portal.kernel.portlet.bridges.mvc",osgi
 .service;objectClass:List<String>="com.liferay.portal.kernel.portlet.
 bridges.mvc.MVCResourceCommand";uses:="com.liferay.portal.kernel.port
 let.bridges.mvc",osgi.service;objectClass:List<String>="com.liferay.p
 ortal.kernel.portlet.configuration.icon.PortletConfigurationIcon";use
 s:="com.liferay.portal.kernel.portlet.configuration.icon",osgi.servic
 e;objectClass:List<String>="javax.portlet.Portlet";uses:="javax.portl
 et"
Require-Capability: osgi.extender;filter:="(&(osgi.extender=jsp.taglib
 )(uri=http://java.sun.com/portlet_2_0))",osgi.extender;filter:="(&(os
 gi.extender=jsp.taglib)(uri=http://liferay.com/tld/aui))",osgi.extend
 er;filter:="(&(osgi.extender=jsp.taglib)(uri=http://liferay.com/tld/c
 lay))",osgi.extender;filter:="(&(osgi.extender=jsp.taglib)(uri=http:/
 /liferay.com/tld/frontend))",osgi.extender;filter:="(&(osgi.extender=
 jsp.taglib)(uri=http://liferay.com/tld/portlet))",osgi.extender;filte
 r:="(&(osgi.extender=jsp.taglib)(uri=http://liferay.com/tld/security)
 )",osgi.extender;filter:="(&(osgi.extender=jsp.taglib)(uri=http://lif
 eray.com/tld/theme))",osgi.extender;filter:="(&(osgi.extender=jsp.tag
 lib)(uri=http://liferay.com/tld/ui))",osgi.extender;filter:="(&(osgi.
 extender=jsp.taglib)(uri=http://liferay.com/tld/util))",osgi.extender
 ;filter:="(&(osgi.extender=osgi.component)(version>=1.3.0)(!(version>
 =2.0.0)))",osgi.service;filter:="(objectClass=com.liferay.document.li
 brary.kernel.service.DLAppLocalService)";effective:=active,osgi.servi
 ce;filter:="(objectClass=com.liferay.dynamic.data.mapping.form.builde
 r.context.DDMFormBuilderContextFactory)";effective:=active,osgi.servi
 ce;filter:="(objectClass=com.liferay.dynamic.data.mapping.form.builde
 r.context.DDMFormContextDeserializer)";effective:=active,osgi.service
 ;filter:="(objectClass=com.liferay.dynamic.data.mapping.form.builder.
 settings.DDMFormBuilderSettingsRetriever)";effective:=active,osgi.ser
 vice;filter:="(objectClass=com.liferay.dynamic.data.mapping.form.eval
 uator.DDMFormEvaluator)";effective:=active,osgi.service;filter:="(obj
 ectClass=com.liferay.dynamic.data.mapping.form.field.type.DDMFormFiel
 dTypeServicesTracker)";effective:=active,osgi.service;filter:="(objec
 tClass=com.liferay.dynamic.data.mapping.form.renderer.DDMFormRenderer
 )";effective:=active,osgi.service;filter:="(objectClass=com.liferay.d
 ynamic.data.mapping.form.renderer.DDMFormTemplateContextFactory)";eff
 ective:=active,osgi.service;filter:="(objectClass=com.liferay.dynamic
 .data.mapping.form.values.factory.DDMFormValuesFactory)";effective:=a
 ctive,osgi.service;filter:="(objectClass=com.liferay.dynamic.data.map
 ping.form.values.query.DDMFormValuesQueryFactory)";effective:=active,
 osgi.service;filter:="(objectClass=com.liferay.dynamic.data.mapping.f
 orm.web.internal.configuration.activator.DDMFormWebConfigurationActiv
 ator)";effective:=active;resolution:=optional,osgi.service;filter:="(
 objectClass=com.liferay.dynamic.data.mapping.form.web.internal.instan
 ce.lifecycle.AddDefaultSharedFormLayoutPortalInstanceLifecycleListene
 r)";effective:=active,osgi.service;filter:="(objectClass=com.liferay.
 dynamic.data.mapping.form.web.internal.portlet.action.AddFormInstance
 RecordMVCCommandHelper)";effective:=active,osgi.service;filter:="(obj
 ectClass=com.liferay.dynamic.data.mapping.form.web.internal.portlet.a
 ction.SaveFormInstanceMVCCommandHelper)";effective:=active,osgi.servi
 ce;filter:="(objectClass=com.liferay.dynamic.data.mapping.form.web.in
 ternal.portlet.action.util.DDMFormInstanceFieldSettingsValidator)";ef
 fective:=active,osgi.service;filter:="(objectClass=com.liferay.dynami
 c.data.mapping.form.web.internal.tab.item.DDMFormAdminDataProviderTab
 Item)";effective:=active,osgi.service;filter:="(objectClass=com.lifer
 ay.dynamic.data.mapping.form.web.internal.tab.item.DDMFormAdminFieldS
 etTabItem)";effective:=active,osgi.service;filter:="(objectClass=com.
 liferay.dynamic.data.mapping.form.web.internal.tab.item.DDMFormAdminT
 abItem)";effective:=active,osgi.service;filter:="(objectClass=com.lif
 eray.dynamic.data.mapping.form.web.internal.upload.DDMFormUploadFileE
 ntryHandler)";effective:=active,osgi.service;filter:="(objectClass=co
 m.liferay.dynamic.data.mapping.form.web.internal.upload.DDMFormUpload
 ResponseHandler)";effective:=active,osgi.service;filter:="(objectClas
 s=com.liferay.dynamic.data.mapping.form.web.internal.upload.DDMFormUp
 loadValidator)";effective:=active,osgi.service;filter:="(objectClass=
 com.liferay.dynamic.data.mapping.io.DDMFormFieldTypesSerializer)";eff
 ective:=active,osgi.service;filter:="(objectClass=com.liferay.dynamic
 .data.mapping.io.exporter.DDMFormInstanceRecordExporter)";effective:=
 active,osgi.service;filter:="(objectClass=com.liferay.dynamic.data.ma
 pping.io.exporter.DDMFormInstanceRecordWriterTracker)";effective:=act
 ive,osgi.service;filter:="(objectClass=com.liferay.dynamic.data.mappi
 ng.service.DDMFormInstanceLocalService)";effective:=active,osgi.servi
 ce;filter:="(objectClass=com.liferay.dynamic.data.mapping.service.DDM
 FormInstanceRecordLocalService)";effective:=active,osgi.service;filte
 r:="(objectClass=com.liferay.dynamic.data.mapping.service.DDMFormInst
 anceRecordService)";effective:=active,osgi.service;filter:="(objectCl
 ass=com.liferay.dynamic.data.mapping.service.DDMFormInstanceRecordVer
 sionLocalService)";effective:=active,osgi.service;filter:="(objectCla
 ss=com.liferay.dynamic.data.mapping.service.DDMFormInstanceService)";
 effective:=active,osgi.service;filter:="(objectClass=com.liferay.dyna
 mic.data.mapping.service.DDMFormInstanceVersionLocalService)";effecti
 ve:=active,osgi.service;filter:="(objectClass=com.liferay.dynamic.dat
 a.mapping.service.DDMStructureLocalService)";effective:=active,osgi.s
 ervice;filter:="(objectClass=com.liferay.dynamic.data.mapping.service
 .DDMStructureService)";effective:=active,osgi.service;filter:="(objec
 tClass=com.liferay.dynamic.data.mapping.storage.DDMStorageAdapterTrac
 ker)";effective:=active,osgi.service;filter:="(objectClass=com.lifera
 y.dynamic.data.mapping.util.DDMFormValuesMerger)";effective:=active,o
 sgi.service;filter:="(objectClass=com.liferay.exportimport.kernel.sta
 ging.Staging)";effective:=active,osgi.service;filter:="(objectClass=c
 om.liferay.exportimport.portlet.preferences.processor.Capability)";ef
 fective:=active,osgi.service;filter:="(objectClass=com.liferay.export
 import.staged.model.repository.StagedModelRepository)";effective:=act
 ive,osgi.service;filter:="(objectClass=com.liferay.frontend.js.loader
 .modules.extender.npm.NPMResolver)";effective:=active,osgi.service;fi
 lter:="(objectClass=com.liferay.portal.kernel.json.JSONFactory)";effe
 ctive:=active,osgi.service;filter:="(objectClass=com.liferay.portal.k
 ernel.model.Portlet)";effective:=active,osgi.service;filter:="(object
 Class=com.liferay.portal.kernel.model.Release)";effective:=active,osg
 i.service;filter:="(objectClass=com.liferay.portal.kernel.module.fram
 ework.ModuleServiceLifecycle)";effective:=active,osgi.service;filter:
 ="(objectClass=com.liferay.portal.kernel.security.permission.resource
 .ModelResourcePermission)";effective:=active,osgi.service;filter:="(o
 bjectClass=com.liferay.portal.kernel.security.permission.resource.Por
 tletResourcePermission)";effective:=active,osgi.service;filter:="(obj
 ectClass=com.liferay.portal.kernel.service.CompanyLocalService)";effe
 ctive:=active,osgi.service;filter:="(objectClass=com.liferay.portal.k
 ernel.service.GroupLocalService)";effective:=active,osgi.service;filt
 er:="(objectClass=com.liferay.portal.kernel.service.LayoutLocalServic
 e)";effective:=active,osgi.service;filter:="(objectClass=com.liferay.
 portal.kernel.service.PortletPreferencesLocalService)";effective:=act
 ive,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.serv
 ice.ResourcePermissionLocalService)";effective:=active,osgi.service;f
 ilter:="(objectClass=com.liferay.portal.kernel.service.RoleLocalServi
 ce)";effective:=active,osgi.service;filter:="(objectClass=com.liferay
 .portal.kernel.service.UserLocalService)";effective:=active,osgi.serv
 ice;filter:="(objectClass=com.liferay.portal.kernel.service.WorkflowD
 efinitionLinkLocalService)";effective:=active,osgi.service;filter:="(
 objectClass=com.liferay.portal.kernel.util.Portal)";effective:=active
 ,osgi.service;filter:="(objectClass=com.liferay.upload.UploadHandler)
 ";effective:=active,osgi.service;filter:="(objectClass=com.liferay.up
 load.UploadResponseHandler)";effective:=active,osgi.service;filter:="
 (objectClass=javax.portlet.Portlet)";effective:=active,osgi.service;f
 ilter:="(objectClass=javax.servlet.ServletContext)";effective:=active
 ,osgi.contract;osgi.contract=JavaPortlet;filter:="(&(osgi.contract=Ja
 vaPortlet)(version=3.0.0))",osgi.contract;osgi.contract=JavaServlet;f
 ilter:="(&(osgi.contract=JavaServlet)(version=3.1.0))",osgi.ee;filter
 :="(&(osgi.ee=JavaSE)(version=1.8))"
Service-Component: OSGI-INF/com.liferay.dynamic.data.mapping.form.web.
 internal.application.list.DDMFormAdminPanelApp.xml,OSGI-INF/com.lifer
 ay.dynamic.data.mapping.form.web.internal.asset.model.DDMFormAssetRen
 dererFactory.xml,OSGI-INF/com.liferay.dynamic.data.mapping.form.web.i
 nternal.configuration.activator.DDMFormWebConfigurationActivator.xml,
 OSGI-INF/com.liferay.dynamic.data.mapping.form.web.internal.configura
 tion.persistence.listener.DDMFormWebConfigurationModelListener.xml,OS
 GI-INF/com.liferay.dynamic.data.mapping.form.web.internal.display.DDM
 FormDDMDataProviderDisplay.xml,OSGI-INF/com.liferay.dynamic.data.mapp
 ing.form.web.internal.display.context.util.DDMFormGuestUploadFieldUti
 l.xml,OSGI-INF/com.liferay.dynamic.data.mapping.form.web.internal.edi
 tor.configuration.FormTextEditorConfigContributor.xml,OSGI-INF/com.li
 feray.dynamic.data.mapping.form.web.internal.editor.configuration.For
 mTextEditorOptionsContributor.xml,OSGI-INF/com.liferay.dynamic.data.m
 apping.form.web.internal.exportimport.data.handler.DDMFormAdminPortle
 tDataHandler.xml,OSGI-INF/com.liferay.dynamic.data.mapping.form.web.i
 nternal.exportimport.data.handler.DDMFormPortletDataHandler.xml,OSGI-
 INF/com.liferay.dynamic.data.mapping.form.web.internal.exportimport.p
 ortlet.preferences.processor.DDMFormExportImportPortletPreferencesPro
 cessor.xml,OSGI-INF/com.liferay.dynamic.data.mapping.form.web.interna
 l.instance.lifecycle.AddDefaultSharedFormLayoutPortalInstanceLifecycl
 eListener.xml,OSGI-INF/com.liferay.dynamic.data.mapping.form.web.inte
 rnal.layout.type.controller.DDMFormPortletLayoutTypeController.xml,OS
 GI-INF/com.liferay.dynamic.data.mapping.form.web.internal.model.DDMFo
 rmPortletLayoutTypeAccessPolicy.xml,OSGI-INF/com.liferay.dynamic.data
 .mapping.form.web.internal.portlet.DDMFormAdminPortlet.xml,OSGI-INF/c
 om.liferay.dynamic.data.mapping.form.web.internal.portlet.DDMFormBrow
 sePortletProvider.xml,OSGI-INF/com.liferay.dynamic.data.mapping.form.
 web.internal.portlet.DDMFormBrowserPortlet.xml,OSGI-INF/com.liferay.d
 ynamic.data.mapping.form.web.internal.portlet.DDMFormPortlet.xml,OSGI
 -INF/com.liferay.dynamic.data.mapping.form.web.internal.portlet.actio
 n.AddFormInstanceRecordMVCActionCommand.xml,OSGI-INF/com.liferay.dyna
 mic.data.mapping.form.web.internal.portlet.action.AddFormInstanceReco
 rdMVCCommandHelper.xml,OSGI-INF/com.liferay.dynamic.data.mapping.form
 .web.internal.portlet.action.AddFormInstanceRecordMVCResourceCommand.
 xml,OSGI-INF/com.liferay.dynamic.data.mapping.form.web.internal.portl
 et.action.AutocompleteUserMVCResourceCommand.xml,OSGI-INF/com.liferay
 .dynamic.data.mapping.form.web.internal.portlet.action.CopyFormInstan
 ceMVCActionCommand.xml,OSGI-INF/com.liferay.dynamic.data.mapping.form
 .web.internal.portlet.action.DDMFormConfigurationAction.xml,OSGI-INF/
 com.liferay.dynamic.data.mapping.form.web.internal.portlet.action.Del
 eteFormInstanceMVCActionCommand.xml,OSGI-INF/com.liferay.dynamic.data
 .mapping.form.web.internal.portlet.action.DeleteFormInstanceRecordMVC
 ActionCommand.xml,OSGI-INF/com.liferay.dynamic.data.mapping.form.web.
 internal.portlet.action.DeleteStructureMVCActionCommand.xml,OSGI-INF/
 com.liferay.dynamic.data.mapping.form.web.internal.portlet.action.Dow
 nloadFileEntryMVCResourceCommand.xml,OSGI-INF/com.liferay.dynamic.dat
 a.mapping.form.web.internal.portlet.action.EditElementSetMVCRenderCom
 mand.xml,OSGI-INF/com.liferay.dynamic.data.mapping.form.web.internal.
 portlet.action.EditFormInstanceMVCRenderCommand.xml,OSGI-INF/com.life
 ray.dynamic.data.mapping.form.web.internal.portlet.action.ExportFormI
 nstanceMVCResourceCommand.xml,OSGI-INF/com.liferay.dynamic.data.mappi
 ng.form.web.internal.portlet.action.PublishFormInstanceMVCActionComma
 nd.xml,OSGI-INF/com.liferay.dynamic.data.mapping.form.web.internal.po
 rtlet.action.SaveFormInstanceMVCActionCommand.xml,OSGI-INF/com.lifera
 y.dynamic.data.mapping.form.web.internal.portlet.action.SaveFormInsta
 nceMVCCommandHelper.xml,OSGI-INF/com.liferay.dynamic.data.mapping.for
 m.web.internal.portlet.action.SaveFormInstanceMVCResourceCommand.xml,
 OSGI-INF/com.liferay.dynamic.data.mapping.form.web.internal.portlet.a
 ction.SaveStructureMVCActionCommand.xml,OSGI-INF/com.liferay.dynamic.
 data.mapping.form.web.internal.portlet.action.ShareFormInstanceMVCAct
 ionCommand.xml,OSGI-INF/com.liferay.dynamic.data.mapping.form.web.int
 ernal.portlet.action.UploadFileEntryMVCActionCommand.xml,OSGI-INF/com
 .liferay.dynamic.data.mapping.form.web.internal.portlet.action.util.D
 DMFormInstanceFieldSettingsValidator.xml,OSGI-INF/com.liferay.dynamic
 .data.mapping.form.web.internal.portlet.configuration.icon.DDMFormIns
 tanceSettingsPortletConfigurationIcon.xml,OSGI-INF/com.liferay.dynami
 c.data.mapping.form.web.internal.portlet.configuration.icon.ExportDDM
 FormInstancePortletConfigurationIcon.xml,OSGI-INF/com.liferay.dynamic
 .data.mapping.form.web.internal.portlet.routes.DDMFormFriendlyURLMapp
 er.xml,OSGI-INF/com.liferay.dynamic.data.mapping.form.web.internal.se
 curity.permission.resource.DDMFormInstancePermission.xml,OSGI-INF/com
 .liferay.dynamic.data.mapping.form.web.internal.security.permission.r
 esource.DDMFormPermission.xml,OSGI-INF/com.liferay.dynamic.data.mappi
 ng.form.web.internal.security.permission.resource.DDMStructurePermiss
 ion.xml,OSGI-INF/com.liferay.dynamic.data.mapping.form.web.internal.t
 ab.item.DDMFormAdminDataProviderTabItem.xml,OSGI-INF/com.liferay.dyna
 mic.data.mapping.form.web.internal.tab.item.DDMFormAdminFieldSetTabIt
 em.xml,OSGI-INF/com.liferay.dynamic.data.mapping.form.web.internal.ta
 b.item.DDMFormAdminTabItem.xml,OSGI-INF/com.liferay.dynamic.data.mapp
 ing.form.web.internal.upgrade.DDMFormWebUpgrade.xml,OSGI-INF/com.life
 ray.dynamic.data.mapping.form.web.internal.upload.DDMFormUploadFileEn
 tryHandler.xml,OSGI-INF/com.liferay.dynamic.data.mapping.form.web.int
 ernal.upload.DDMFormUploadResponseHandler.xml,OSGI-INF/com.liferay.dy
 namic.data.mapping.form.web.internal.upload.DDMFormUploadValidator.xm
 l
Tool: Bnd-4.3.0.201909301554
Web-ContextPath: /dynamic-data-mapping-form-web

